Start uploading an app's source
curl --request POST \
--url https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"size": 123
}'import requests
url = "https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads"
payload = { "size": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({size: 123})
};
fetch('https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'size' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads"
payload := strings.NewReader("{\n \"size\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"size\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"size\": 123\n}"
response = http.request(request)
puts response.read_body{
"key": "<string>",
"expiresAt": "<string>",
"put": "<string>",
"uploadId": "<string>",
"partSize": 123,
"parts": [
"<string>"
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}Deployments
Start uploading an app's source
Signs an upload of the app as a .tar.gz, at most 100 MB, straight into storage: one URL to PUT the whole archive to, or for one over 64 MB, URLs to PUT each partSize slice to, in order, keeping each answer’s ETag. The URLs last 15 minutes. Then deploy it with POST /api/apps/{app}/deployments/from-upload. Environment variables are set with the environment-variable routes, not here.
POST
/
api
/
apps
/
{app}
/
deployments
/
source-uploads
Start uploading an app's source
curl --request POST \
--url https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"size": 123
}'import requests
url = "https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads"
payload = { "size": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({size: 123})
};
fetch('https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'size' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads"
payload := strings.NewReader("{\n \"size\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"size\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dojo.frogbot.ai/api/apps/{app}/deployments/source-uploads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"size\": 123\n}"
response = http.request(request)
puts response.read_body{
"key": "<string>",
"expiresAt": "<string>",
"put": "<string>",
"uploadId": "<string>",
"partSize": 123,
"parts": [
"<string>"
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}{
"errors": [
{
"message": "<string>",
"data": {
"code": "<string>",
"url": "<string>"
}
}
]
}